"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "NoticeAlert",
  setup(__props) {
    const handleAlert = () => {
      common_vendor.index.showModal({
        title: "什么是批量通知",
        confirmColor: "#0082FA",
        content: "一次性给多套房屋发送账单链接，提醒用户缴费  关键操作：先选择哪些房屋要接收通知，然后选择发送方式（短信/公众号/小程序），系统会自动完成发送。通知对象：默认发给房屋的“常用联系人”；若没设置常用联系人，就发给房屋的“产权人”。",
        success: function(res) {
          if (res.confirm) {
            console.log("用户点击确定");
          } else if (res.cancel) {
            console.log("用户点击取消");
          }
        }
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          type: "info",
          size: "20",
          color: "#ed6a0c"
        }),
        b: common_vendor.p({
          type: "right",
          size: "17",
          color: "#ed6a0c"
        }),
        c: common_vendor.o(handleAlert)
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-1be912f5"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/BILL/outstanding_fee/components/NoticeAlert.vue"]]);
wx.createComponent(Component);
